Bug 529920 - language bar pops up on the wrong monitor
language bar pops up on the wrong monitor
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peng Huang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-20 14:05 EDT by Matthias Clasen
Modified: 2009-12-09 23:23 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.2.0.20091204-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 23:23:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2009-10-20 14:05:51 EDT
I just hit Ctrl-space accidentally (that happens uncomfortably often to me...), and notice the ibus 'panel' pop up on my otherwise unused second monitor, while I was trying to type on the first monitor.
Comment 1 Bug Zapper 2009-11-16 08:54:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Jens Petersen 2009-11-25 00:53:13 EST
(In reply to comment #0)
> I just hit Ctrl-space accidentally (that happens uncomfortably often to me...),

Hmm dunno if we want to/should disable Ctrl+Space.

> and notice the ibus 'panel' pop up on my otherwise unused second monitor, while
> I was trying to type on the first monitor.  

Yep annoying.
Comment 3 Peng Huang 2009-11-25 18:58:14 EST
Currently, the initial position of the panel is on the left bottom of the workarea. So if your second monitor is on the left of your primary monitor, the initial postion will be on the second monitor.
I am thinking what is the best solution of this problem. Do you have any suggestion?
Comment 4 Matthias Clasen 2009-11-25 20:46:18 EST
You could either 

Always place the panel on the primary monitor. See XRRGetOutputPrimary(), GTK+ api for this will be available in 2.20 before the end of the year. This is what the gnome-panel does (or at least tries to do).

or

Make the panel jump to the monitor which contains the active window. See things like gdk_screen_get_monitor_geometry() and gdk_screen_get_active_window() for how to get the necessary information.
Comment 5 Peng Huang 2009-11-28 03:13:35 EST
I fixed this bug by adding code to remember the position of the language panel. If the panel pops up on a wrong monitor, user just need move it into the right monitor, and then ibus will remember the new position for next time reboot.

The code is in upstream git repo now, I will build it for fedora soon.
Comment 6 Fedora Update System 2009-12-04 04:08:24 EST
ibus-1.2.0.20091204-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/ibus-1.2.0.20091204-1.fc12
Comment 7 Fedora Update System 2009-12-04 18:41:26 EST
ibus-1.2.0.20091204-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ibus'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12644
Comment 8 Fedora Update System 2009-12-09 23:22:57 EST
ibus-1.2.0.20091204-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.